Bug 1178294 - port to EPEL6
Summary: port to EPEL6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: med
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-03 17:25 UTC by Dave Love
Modified: 2015-01-24 18:45 UTC (History)
1 user (show)

Fixed In Version: med-3.0.7-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-24 18:45:40 UTC


Attachments (Terms of Use)
EPEL6 spec file (4.06 KB, text/plain)
2015-01-03 17:25 UTC, Dave Love
no flags Details
AM_INIT_AUTOMAKE patch for EPEL6 (324 bytes, patch)
2015-01-03 17:27 UTC, Dave Love
no flags Details | Diff
swig configure patch for EPEL6 (320 bytes, patch)
2015-01-03 17:28 UTC, Dave Love
no flags Details | Diff

Description Dave Love 2015-01-03 17:25:21 UTC
Created attachment 975669 [details]
EPEL6 spec file

I'd like med EPEL6 for some other packages, but it needs some changes.
I don't know if you'd prefer a single spec file or not, but I'll attach a
new spec and a couple of autotools patches that I've been using.

Comment 1 Dave Love 2015-01-03 17:27:29 UTC
Created attachment 975670 [details]
AM_INIT_AUTOMAKE patch for EPEL6

Comment 2 Dave Love 2015-01-03 17:28:32 UTC
Created attachment 975671 [details]
swig configure patch for EPEL6

Comment 3 Sandro Mani 2015-01-03 17:32:10 UTC
Ah cool, I just tried building it this afternoon [1] and got [2]

[...]
checking for H5open in -lhdf5... no
configure: error: either use HDF5HOME env. var. or --with-hdf5=<path>
[...]

Did you also hit that issue? readelf -Ws on the libhdf5 from hdf5-1.8.5.patch1-9.el6 shows that it definitely has the H5open symbol, so I'm not sure what's wrong there...

[1] http://koji.fedoraproject.org/koji/taskinfo?taskID=8519188
[2] http://koji.fedoraproject.org/koji/getfile?taskID=8519191&name=build.log

Comment 4 Dave Love 2015-01-03 18:07:48 UTC
(In reply to Sandro Mani from comment #3)
> Ah cool, I just tried building it this afternoon [1] and got [2]
> 
> [...]
> checking for H5open in -lhdf5... no
> configure: error: either use HDF5HOME env. var. or --with-hdf5=<path>
> [...]

It needs BR zlib-devel.  That must be implicit in later dists.

(I have packages for gmsh and engrid, which I'm aiming towards, under
http://copr.fedoraproject.org/coprs/loveshack/livhpc, but I realize they
involve more recent versions of a couple of things than are in EPEL6, bother.)

Apologies for the duplicate bugs -- I don't know how that happened -- and
thanks for the other things I see you pushed.

Comment 5 Sandro Mani 2015-01-03 18:14:49 UTC
Ah makes sense!

So on my part for gmsh, I still need to take care of:
mathex: package change request filed
tcl-togl: package change request filed
netgen-mesher: needs tcl-togl

Which versions are problematic? It is only for engrid or also for gmsh?

Comment 6 Sandro Mani 2015-01-03 18:18:13 UTC
By the way, if you'd like to comaintain the packages, you would be very welcome to do so. I really seldom use EL, so I don't actually test any of these packages there. If it is a matter of getting sponsored, I'm sure that can be take care of quickly, considering all the packaging you've already done.

Comment 7 Fedora Update System 2015-01-03 18:39:09 UTC
med-3.0.7-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/med-3.0.7-6.el6

Comment 8 Fedora Update System 2015-01-03 18:40:45 UTC
med-3.0.7-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/med-3.0.7-6.el7

Comment 9 Fedora Update System 2015-01-04 20:05:14 UTC
med-3.0.7-6.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 10 Dave Love 2015-01-05 16:36:00 UTC
> Which versions are problematic? It is only for engrid or also for gmsh?

I think both, though I'll have to check in a vanilla mock.  gmsh graphics needs a more recent fltk than in EPEL.  A simple version update clashed with some other packages, but I have an SCL version to try, or it could be packaged as "fltk13", presumably.

Comment 11 Fedora Update System 2015-01-24 18:45:40 UTC
med-3.0.7-6.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 12 Fedora Update System 2015-01-24 18:45:56 UTC
med-3.0.7-6.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.